Last Comment Bug 531779 - MailNews: The File Button is not initialized until restart after being dragged out of the palette window and on to a toolbar
: MailNews: The File Button is not initialized until restart after being dragge...
Status: RESOLVED FIXED
: fixed-seamonkey2.0.1, regression
Product: SeaMonkey
Classification: Client Software
Component: MailNews: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Philip Chee
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-30 01:11 PST by Philip Chee
Modified: 2009-12-04 09:31 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
[for checkin] C-C Patch v1.0 Re-init the datasources in MailToolboxCustomizeDone() [Checkin: Comment 4] (955 bytes, patch)
2009-11-30 01:18 PST, Philip Chee
mnyromyr: review+
neil: superreview+
neil: approval‑seamonkey2.0.1+
Details | Diff | Splinter Review
[for checkin] C-191 Patch v1.1 r=mnyromyr sr=neil a201=neil (955 bytes, patch)
2009-12-02 02:39 PST, Philip Chee
philip.chee: review+
philip.chee: superreview+
Details | Diff | Splinter Review

Description Philip Chee 2009-11-30 01:11:16 PST
Steps to reproduce.
1. Go to Customize toolbars and drag the File button into the customize window.
2. Close the Messenger 3pane window.
3. Open the Messenger 3pane window.
4. Go to Customize toolbars and drag the File button on to a toolbar.
5. Click on the button to bring up the drop-down menu.

Actual results:
Only the Recent submenu is available.

Expected results:
The whole folder tree should be available.
Comment 1 Philip Chee 2009-11-30 01:18:48 PST
Created attachment 415091 [details] [diff] [review]
[for checkin] C-C Patch v1.0 Re-init the datasources in MailToolboxCustomizeDone()
[Checkin: Comment 4]

Regression fix. Requesting a201?
Comment 2 Philip Chee 2009-11-30 01:20:05 PST
Comment on attachment 415091 [details] [diff] [review]
[for checkin] C-C Patch v1.0 Re-init the datasources in MailToolboxCustomizeDone()
[Checkin: Comment 4]

This is a Comm-Central patch actually.
Comment 3 Philip Chee 2009-12-02 02:39:40 PST
Created attachment 415597 [details] [diff] [review]
[for checkin] C-191 Patch v1.1 r=mnyromyr sr=neil a201=neil

Branch patch (for SM 2.0.1). Has r/sr/a201
Comment 4 Serge Gautherie (:sgautherie) 2009-12-03 08:11:28 PST
Comment on attachment 415091 [details] [diff] [review]
[for checkin] C-C Patch v1.0 Re-init the datasources in MailToolboxCustomizeDone()
[Checkin: Comment 4]


http://hg.mozilla.org/comm-central/rev/0d4209c64aeb
Comment 5 Robert Kaiser 2009-12-04 09:31:51 PST
Checked in for 2.0.1 as http://hg.mozilla.org/releases/comm-1.9.1/rev/e2d2c1442516

Note You need to log in before you can comment on or make changes to this bug.